/**
 * buyer click events
 * @returns {{ init: init }}
 */
import { PUBLIC_URLS } from '../config/public-endpoints';
import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickHero, userClickLogin, userClickRegistration } from '../util/gtm/tags-collection';

export const buyerEvents = (() => ({
  init: function () {
    // start now button click event
    $('.primary-button.buyer.toolbar').on('click', function() {
      pushTagToGTM(userClickRegistration);

      window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
    });

    $('.primary-button.hero.buyer').on('click', function() {
      pushTagToGTM(userClickHero)

      window.open(PUBLIC_URLS.buyerRegistrationSite, '_blank');
    });

    // sign in button click event
    $('.secondary-button').on('click', function() {
      pushTagToGTM(userClickLogin)

      window.open(PUBLIC_URLS.login, '_blank');
    });
  }
}))();
